IImageSource (Carbide.c++ SDK API Reference)
Keywords: com.nokia.carbide.cpp.epoc.engine.image.IImageSource interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Carbide.c++
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nokia.carbide.cpp.epoc.engine.image
Interface IImageSource

All Superinterfaces:
  IImageSourceReference

All Known Subinterfaces:
  IBitmapSource, ISVGSource

    public interface IImageSource

extends IImageSourceReference

Representation of a source image file with color information.

Method Summary
`IPath` | `getDefaultMaskPath()` provide the default mask filepath
`int` | `getDepth()` get the bit depth to convert to
`ImageFormat` | `getImageFormat()` Get a copy of the image format parameters
`int` | `getMaskDepth()` get the mask depth (usually 1,2,4,8 or 0 for none) NOTE: for SVG, if this is nonzero, it doesn't mean a mask file is present, merely that an enum will be generated.
`boolean` | `isColor()` tell whether the image is kept in color
`boolean` | `isValid()` tell if the entry is valid (e.g., initialized): path must be set and depth must be nonzero, and if in color, depth must be 4, 8, 16, or 24, else 1, 2, 4, or 8
`boolean` | `isValidDepth(int depth)` Tell if the depth is valid for the color/grayscale flag
`void` | `setColor(boolean color)` set the color conversion flag
`void` | `setDepth(int depth)` set the bit depth to convert to
`void` | `setFrom(IImageSourceReference ref)` Set shared fields from the reference.
`void` | `setMaskDepth(int depth)` set the mask depth (usually 1,2,4,8 or 0 for none) NOTE: for SVG, if this is nonzero, it doesn't mean a mask file is present, merely that an enum will be generated.

Methods inherited from interface com.nokia.carbide.cpp.epoc.engine.image.IImageSourceReference
`copy, getDefaultMaskPath, getPath, setPath`

Method Detail

### isValid

    boolean isValid()

  tell if the entry is valid (e.g., initialized): path must be set and depth must be nonzero, and if in color, depth must be 4, 8, 16, or 24, else 1, 2, 4, or 8

  Specified by:
    `isValid` in interface `IImageSourceReference`

### isColor

    boolean isColor()

  tell whether the image is kept in color

### setColor

    void setColor(boolean color)

  set the color conversion flag

### getDepth

    int getDepth()

  get the bit depth to convert to

  Returns:
    generally 4,8,12,16,24,32 for color or 1,2,4,8 for non-color

### setDepth

    void setDepth(int depth)

  set the bit depth to convert to

  Parameters:
    `depth` - generally 4,8,12,16,24,32 for color or 1,2,4,8 for non-color

### getMaskDepth

    int getMaskDepth()

  get the mask depth (usually 1,2,4,8 or 0 for none)

  NOTE: for SVG, if this is nonzero, it doesn't mean a mask file is present, merely that an enum will be generated.

### setMaskDepth

    void setMaskDepth(int depth)

  set the mask depth (usually 1,2,4,8 or 0 for none)

  NOTE: for SVG, if this is nonzero, it doesn't mean a mask file is present, merely that an enum will be generated.

### getDefaultMaskPath

    IPath getDefaultMaskPath()

  provide the default mask filepath

### isValidDepth

    boolean isValidDepth(int depth)

  Tell if the depth is valid for the color/grayscale flag

### setFrom

    void setFrom(IImageSourceReference ref)

  Set shared fields from the reference.

  Parameters:
    `ref` -

### getImageFormat

    ImageFormat getImageFormat()

  Get a copy of the image format parameters

  Returns:

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Carbide.c++
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD